diff --git a/modules/crawler/Utilities/folder_processor.py b/modules/crawler/Utilities/folder_processor.py
index 93997ac..1fee890 100644
--- a/modules/crawler/Utilities/folder_processor.py
+++ b/modules/crawler/Utilities/folder_processor.py
@@ -1,10 +1,12 @@
 import os
 import zipfile
+from shared_types import ConfigType, StringSetType
 from Utilities.CSV import csv_utils
 from Utilities.Database import database_record_logs
 
 
-def list_of_all_new_files(ignore_set,path):
+def list_of_all_new_files(ignore_set: StringSetType,
+                          path: str) -> StringSetType:
     """
     Get all files from directory and all files written in ignore.txt
     and return the difference
@@ -16,12 +18,10 @@ def list_of_all_new_files(ignore_set,path):
     """
     files_in_dir = os.listdir(path)
 
-
     return set(files_in_dir).difference(ignore_set)
 
 
-
-def get_devices_set(dataset_name,path):
+def get_devices_set(dataset_name: str, path: str) -> StringSetType:
     """
      Goes trough every not loaded file(not contained in ProcessedData/ignore.txt)
      Extracts names from not loaded file which should be in first column
@@ -34,17 +34,19 @@ def get_devices_set(dataset_name,path):
         set of unique names contained in not loaded files
     """
     ignore_set = database_record_logs.load_ignore_set_loaded(dataset_name)
-    files_in_dir = list_of_all_new_files(ignore_set,path)
+    files_in_dir = list_of_all_new_files(ignore_set, path)
 
     unique_names = set()
 
     for file_path in files_in_dir:
-        unique_names.update(csv_utils.get_unique_names_from_file(path+file_path, 0))
+        unique_names.update(
+            csv_utils.get_unique_names_from_file(path + file_path, 0))
 
     return unique_names
 
 
-def get_unknown_devices_set(config, devices):
+def get_unknown_devices_set(config: ConfigType,
+                            devices: StringSetType) -> StringSetType:
     """
     Compares config and devices a return difference
 
@@ -61,7 +63,7 @@ def get_unknown_devices_set(config, devices):
     return unknown_devices_set
 
 
-def unzip_all_csv_zip_files_in_folder(path):
+def unzip_all_csv_zip_files_in_folder(path: str) -> None:
     """
     Load all files from directory and unzip those which end by .zip
     After unziping deletes the zip file
@@ -83,7 +85,7 @@ def unzip_all_csv_zip_files_in_folder(path):
         os.remove(zip_file)
 
 
-def clean_folder(path):
+def clean_folder(path: str) -> None:
     """
     Deletes all files in folder
 
@@ -93,4 +95,4 @@ def clean_folder(path):
     files = os.listdir(path)
 
     for file in files:
-        os.remove(path+file)
+        os.remove(path + file)
diff --git a/modules/crawler/Utilities/helpers.py b/modules/crawler/Utilities/helpers.py
index 4d5e0c7..b15d0d8 100644
--- a/modules/crawler/Utilities/helpers.py
+++ b/modules/crawler/Utilities/helpers.py
@@ -4,12 +4,13 @@ SKIP = "SKIP"
 UNKNOWN = "UNKNOWN!"
 
 
-def should_skip(device) -> bool:
+def should_skip(device: Dict[str, str]) -> bool:
     return device['x'] == SKIP or device['y'] == SKIP or device[
         'x'] == UNKNOWN or device['y'] == UNKNOWN
 
 
-def detect_change(first: Dict[str, str], second: Dict[str, str], compareKeys: [str]) -> bool:
+def detect_change(first: Dict[str, str], second: Dict[str, str],
+                  compareKeys: [str]) -> bool:
     """Detects change between two dictonaries
 
     Args:
diff --git a/modules/crawler/crone_update_script.py b/modules/crawler/crone_update_script.py
index 84a96bc..d37e494 100644
--- a/modules/crawler/crone_update_script.py
+++ b/modules/crawler/crone_update_script.py
@@ -5,7 +5,7 @@ import os
 CONFIG_FILES_PATH = "DatasetConfigs/"
 
 
-def run_pipeline_for_all_datasets():
+def run_pipeline_for_all_datasets() -> None:
     """
     Runs whole DataScript pipeline for every dataset that has existing configuration file
     """
@@ -16,4 +16,9 @@ def run_pipeline_for_all_datasets():
         pipeline.run_full_pipeline_crone(name)
 
 
-run_pipeline_for_all_datasets()
+def main() -> None:
+    run_pipeline_for_all_datasets()
+
+
+if __name__ == "__main__":
+    main()
diff --git a/modules/crawler/docker_prepare_structure.py b/modules/crawler/docker_prepare_structure.py
index 5119c46..5e1433f 100644
--- a/modules/crawler/docker_prepare_structure.py
+++ b/modules/crawler/docker_prepare_structure.py
@@ -10,32 +10,31 @@ PROCESSED_DATA_PATH = "ProcessedData/"
 CRAWLER_LOGS_PATH = "CrawlerLogs/"
 
 
-def prepare_strucure_for_all_datasets():
+def prepare_strucure_for_all_datasets() -> None:
     """
     Prepares folders that are necessery but does not contain code so they are excluded from gitlab by gitignore
     """
 
-    if  not os.path.isdir(CRAWLED_DATA_PATH) :
+    if not os.path.isdir(CRAWLED_DATA_PATH):
         try:
             os.mkdir(CRAWLED_DATA_PATH)
         except os.error as e:
             print(e)
-            print("Creation of the directory %s failed" % CRAWLED_DATA_PATH)
+            print("Nelze vytvořit adresář %s" % CRAWLED_DATA_PATH)
 
-    if  not os.path.isdir(PROCESSED_DATA_PATH) :
+    if not os.path.isdir(PROCESSED_DATA_PATH):
         try:
             os.mkdir(PROCESSED_DATA_PATH)
         except os.error as e:
             print(e)
-            print("Creation of the directory %s failed" % PROCESSED_DATA_PATH)
-    
-    if  not os.path.isdir(CRAWLER_LOGS_PATH) :
+            print("Nelze vytvořit adresář %s" % PROCESSED_DATA_PATH)
+
+    if not os.path.isdir(CRAWLER_LOGS_PATH):
         try:
             os.mkdir(CRAWLER_LOGS_PATH)
         except os.error as e:
             print(e)
-            print("Creation of the directory %s failed" % PROCESSED_DATA_PATH)
-
+            print("Nelze vytvořit adresář %s" % CRAWLER_LOGS_PATH)
 
     files_in_dir = os.listdir(CONFIG_FILES_PATH)
 
@@ -44,19 +43,24 @@ def prepare_strucure_for_all_datasets():
         prepare_structure(name[0])
 
 
-def prepare_structure(dataset_name):
+def prepare_structure(dataset_name: str) -> None:
     """
     Create folder for every dataset in newly created folder for processed and crawled data
     """
 
-    path =  CRAWLED_DATA_PATH + dataset_name
-    if  not os.path.isdir(path) :
+    path = CRAWLED_DATA_PATH + dataset_name
+    if not os.path.isdir(path):
         os.mkdir(path)
 
-    path =  PROCESSED_DATA_PATH + dataset_name
-    if not  os.path.isdir(path):
+    path = PROCESSED_DATA_PATH + dataset_name
+    if not os.path.isdir(path):
         os.mkdir(PROCESSED_DATA_PATH + dataset_name)
 
 
-print("Inicializuji počáteční strukturu pro stažená a zpracovaná data")
-prepare_strucure_for_all_datasets()
+def main() -> None:
+    print("Inicializuji počáteční strukturu pro stažená a zpracovaná data")
+    prepare_strucure_for_all_datasets()
+
+
+if __name__ == "__main__":
+    main()
\ No newline at end of file
diff --git a/modules/crawler/force_update_datasets.py b/modules/crawler/force_update_datasets.py
index abd6504..302a6c4 100644
--- a/modules/crawler/force_update_datasets.py
+++ b/modules/crawler/force_update_datasets.py
@@ -1,17 +1,20 @@
+from Utilities import configure_functions
 import pipeline
 import os
-from Utilities import configure_functions
+import sys
 
 # Path to configuration files
 CONFIG_FILES_PATH = "DatasetConfigs/"
+WRONG_ARG_MSG = "Do argumentu funkce dejte jméno Datasetu, který chcete aktualizovat (pokud všechny zadejte 'ALL'):\n"
+DATASET_NOT_FOUND_MSG = "Tento dataset v architektuře neexistuje"
 
 
-def run_pipeline_for_one_datasets(dataset_name):
+def run_pipeline_for_one_datasets(dataset_name: str) -> None:
     print("Probíhá update datasetu " + dataset_name)
     pipeline.run_full_pipeline(dataset_name)
 
 
-def run_pipeline_for_all_datasets():
+def run_pipeline_for_all_datasets() -> None:
     """
     Runs whole DataScript pipeline for every dataset that has existing configuration file
     """
@@ -23,15 +26,21 @@ def run_pipeline_for_all_datasets():
         pipeline.run_full_pipeline(name)
 
 
-print("Zadejte jméno Datasetu který chcete updatovat (pokud všechny zadejte '-ALL'):\n")
+def main() -> None:
+    if len(sys.argv) > 1:
+        dataset_name = sys.argv[1].upper()
+        if dataset_name == "ALL":
+            run_pipeline_for_all_datasets()
+        else:
+            test = configure_functions.check_if_there_is_a_config_file(
+                dataset_name)
+            if test == True:
+                run_pipeline_for_one_datasets(dataset_name)
+            else:
+                print(DATASET_NOT_FOUND_MSG)
+    else:
+        print(WRONG_ARG_MSG)
 
-dataset_name = input().upper()
 
-if dataset_name == '-ALL':
-    run_pipeline_for_all_datasets()
-else:
-    test = configure_functions.check_if_there_is_a_config_file(dataset_name)
-    if test == True:
-        run_pipeline_for_one_datasets(dataset_name)
-    else:
-        print("Tento dataset v architektuře neexistuje")
+if __name__ == "__main__":
+    main()
\ No newline at end of file
diff --git a/modules/crawler/fully_clean_database.py b/modules/crawler/fully_clean_database.py
index 5666602..dcfd933 100644
--- a/modules/crawler/fully_clean_database.py
+++ b/modules/crawler/fully_clean_database.py
@@ -1,8 +1,7 @@
 from Utilities.Database import database_loader
 
 
-#TODO: smazat vsechny pomocny soubory po cisteni databaze + prejmenovat
-def clean_database():
+def clean_database() -> None:
     """
     Drops every collection in database
     """
@@ -18,5 +17,10 @@ def clean_database():
         mydb[name].drop()
 
 
-print('Data z databáze budou smazána:')
-clean_database()
\ No newline at end of file
+def main() -> None:
+    print('Data z databáze budou smazána:')
+    clean_database()
+
+
+if __name__ == "__main__":
+    main()
diff --git a/modules/crawler/pipeline.py b/modules/crawler/pipeline.py
index 51a429c..31bd208 100644
--- a/modules/crawler/pipeline.py
+++ b/modules/crawler/pipeline.py
@@ -1,6 +1,7 @@
 from Utilities import folder_processor, configure_functions
 from Utilities.Database import database_loader, database_record_logs
 from Utilities.CSV import csv_utils
+from shared_types import ConfigType
 import os
 import pymongo
 
@@ -20,12 +21,12 @@ PROCESSOR_LIB_PATH = "DatasetProcessing."
 
 #logger
 logging.basicConfig(filename=CRAWLER_LOGS_PATH + 'Applicationlog-' +
-                               date.today().strftime("%b-%Y") + '.log',
-                               level=logging.INFO,
-                               format='%(asctime)s %(message)s')
+                    date.today().strftime("%b-%Y") + '.log',
+                    level=logging.INFO,
+                    format='%(asctime)s %(message)s')
 
 
-def check_last_update(config):
+def check_last_update(config: ConfigType) -> bool:
     """
     Loads integer from updated.txt in CrawlerLogs/"dataset_name"
     representing number of days from last update if number equals
@@ -56,7 +57,7 @@ def check_last_update(config):
         return False
 
 
-def crawl_data(config):
+def crawl_data(config: ConfigType) -> None:
     """
       Imports dataset crawler in DatasetCrawler/"dataset_name"_crawler.py
       runs crawler.
@@ -73,7 +74,7 @@ def crawl_data(config):
     dataset_name += '/'
 
 
-def process_data(config):
+def process_data(config: ConfigType) -> None:
     """
     Goes trough every not processed file(list of processed files is saved in databse)
     Imports dataset processor in DatasetProcessing/"dataset_name"_processor.py
@@ -100,6 +101,7 @@ def process_data(config):
         path = CRAWLED_DATA_PATH + dataset_path + not_processed_file
         date_dic = process_file_func(path)
         csv_utils.export_data_to_csv(path, date_dic)
+        print("Vytvářím: " + not_processed_file)
         database_record_logs.update_ignore_set_processed(
             dataset_name, not_processed_file)
 
@@ -107,7 +109,7 @@ def process_data(config):
                  str(len(not_processed_files)) + " newly crawled files")
 
 
-def process_data_crone(config):
+def process_data_crone(config: ConfigType) -> None:
     """
     Goes trough every not processed file(list of processed files is saved in database)
     Imports dataset processor in DatasetProcessing/"dataset_name"_processor.py
@@ -146,7 +148,7 @@ def process_data_crone(config):
                  str(len(not_processed_files)) + " newly crawled files")
 
 
-def validate_process_data(config):
+def validate_process_data(config: ConfigType) -> bool:
     """
     Function goes through newly processed data and checks theirs status
 
@@ -186,7 +188,7 @@ def validate_process_data(config):
     return True
 
 
-def load_data_to_database(config):
+def load_data_to_database(config: ConfigType) -> None:
     """
     Goes trough every not loaded file(list of loaded files is saved in database)
     loads data appends coordination from configurations
@@ -207,10 +209,10 @@ def load_data_to_database(config):
     changes_in_devices = database_loader.update_devices_collection(config)
 
     if changes_in_devices == True:
-        logging.info(
-            dataset_name +
-            " contains changes in devices configuration. Deleting old data and preparing new"
-        )
+        logg_string = dataset_name + " contains changes in devices configuration. Deleting old data and preparing new"
+        logg_string_cs = dataset_name + " obsahuje změny v konfiguračním souboru. Probíha odstraňování starých dat a připravení nových."
+        logging.info(logg_string)
+        print(logg_string_cs)
         database_loader.reset_dataset_database(dataset_name)
 
     # get all unprocessed files from dataset
@@ -230,14 +232,19 @@ def load_data_to_database(config):
         database_record_logs.update_ignore_set_loaded(dataset_name,
                                                       not_loaded_file)
 
-    logging.info(dataset_name + " has loaded to database " +
-                 str(len(not_loaded_files)) + " newly processed files.")
+    logg_string = dataset_name + " has loaded to database " + str(
+        len(not_loaded_files)) + " newly processed files."
+    logg_string_cs = dataset_name + " načetl " + str(
+        len(not_loaded_files)) + " nových zpracovaných souborů \n"
+
+    logging.info(logg_string)
+    print(logg_string_cs)
 
     client = pymongo.MongoClient()
     client.close()
 
 
-def load_data_to_database_crone(config):
+def load_data_to_database_crone(config: ConfigType) -> None:
     """
     Goes trough every not loaded file(list of loaded files is saved in database)
     loads data appends coordination from configurations
@@ -280,7 +287,7 @@ def load_data_to_database_crone(config):
     client.close()
 
 
-def run_full_pipeline(dataset_name):
+def run_full_pipeline(dataset_name: str) -> None:
     """
     Loads config file and starts full pipeline
     -crawl data
@@ -292,7 +299,7 @@ def run_full_pipeline(dataset_name):
     """
     logging.info("Starting pipeline for dataset " + dataset_name)
     print("Zpracovávám dataset " + dataset_name +
-          " průběh lze sledovat v logu umístěném v in CrawlerLogs folder")
+          ", průběh lze sledovat v logu umístěném v adresáři CrawlerLogs")
 
     config = configure_functions.load_configuration(dataset_name)
     crawl_data(config)
@@ -304,7 +311,7 @@ def run_full_pipeline(dataset_name):
         load_data_to_database(config)
 
 
-def run_full_pipeline_crone(dataset_name):
+def run_full_pipeline_crone(dataset_name: str) -> None:
     """
     Loads config file and starts full pipeline
     -crawl data
diff --git a/modules/crawler/prepare_new_dataset.py b/modules/crawler/prepare_new_dataset.py
index dcf1860..2d623e6 100644
--- a/modules/crawler/prepare_new_dataset.py
+++ b/modules/crawler/prepare_new_dataset.py
@@ -1,5 +1,4 @@
 import os
-
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 # Path to processed data
@@ -14,7 +13,7 @@ CONFIG_FILES_PATH = "DatasetConfigs"
 DEFAULT_COLOR = "#000000"
 
 
-def create_default_config_file(dataset_name: str):
+def create_default_config_file(dataset_name: str) -> None:
     """
     Creates default config file
 
@@ -22,64 +21,79 @@ def create_default_config_file(dataset_name: str):
         dataset_name: Name of newly created dataset
     """
     with open(CONFIG_FILES_PATH + "/" + dataset_name + ".yaml", "w") as file:
-        file.write("# jmeno datasetu, pod kterym bude zobrazen v aplikaci\n")
+        file.write("# Name of the dataset inside the application\n")
         file.write("display-name: " + dataset_name + "\n")
         file.write(
-            "# jednoslovný název datasetu, pod kterym bude reprezentovana v architektuře\n")
-        file.write("display-color: " + DEFAULT_COLOR + "\n")
+            "# Color for the dataset in a hex value (default value #000000)\n")
+        file.write(f'display-color: \'{DEFAULT_COLOR}\' \n')
         file.write(
-            "# barva pro tento dataset v hexadecimální hodnotě (#000000)\n")
+            "# One word dataset name (structure of all modules will be affected by this)\n"
+        )
         file.write("dataset-name: " + dataset_name + "\n")
-        file.write("# root slozka, ktera obsahuje odkazy na dataset\n")
-        file.write("url: ZDE VLOZTE URL\n")
+        file.write("# Url for the source of this dataset\n")
+        file.write("url: ENTER URL HERE\n")
+        file.write(
+            "# Optional parameter which specifies a pattern of the datasets name\n"
+        )
+        file.write(
+            "# Example: DATASET_NAME_[0-9][0-9]_[0-9][0-9][0-9][0-9].zip\n")
+        file.write(
+            "# - DATASET_NAME_01_2020.zip where '01_2020' specifies date in this dataset\n"
+        )
+        file.write("regex: ENTER REGEX HERE\n")
         file.write(
-            "# volitelny parameter, ktery specifikuje vzor jmrna datasetu, ktera se budou stahovat\n")
-        file.write("regex: ZDE VLOZTE REGEX\n")
-        file.write("# volitelny parametr, ktery udava jak casto se budou hledat nove datasety, pokud prazdne, "
-                   "tak defaultni hodnota (dny)\n")
-        file.write("update-period: ZDE VLOZTE HODNOTU\n")
-        file.write("# pozice jednotlivych zarizeni, ktera jsou v datasetu\n")
+            "# Optional parameter which specifies the way of searching new datasets (if empty the period is set to every day)\n"
+        )
+        file.write("update-period: ENTER UPDATE PERIOD HERE\n")
+        file.write("# Coordinates of every datasets device (entinty)\n")
         file.write("devices:\n")
 
 
-def create_default_processor(dataset_name):
+def create_default_processor(dataset_name: str) -> None:
     """
     Creates default processor for dataset
 
     Args:
         dataset_name: Name of newly created dataset
     """
-    with open(PROCESSOR_PROGRAM_PATH + "/" + dataset_name + "_processor.py", "w") as file:
-        file.write("from Utilities.CSV import csv_data_line")
+    with open(PROCESSOR_PROGRAM_PATH + "/" + dataset_name + "_processor.py",
+              "w") as file:
+        file.write("from Utilities.CSV import csv_data_line\n")
+        file.write("from shared_types import DateDict")
         file.write("\n")
         file.write("\n")
-        file.write("def process_file(filename):\n")
+        file.write("def process_file(filename: str) -> DateDict:\n")
         file.write("    \"\"\"\n")
         file.write(
-            "    Method that take path to crawled file and outputs date dictionary:\n")
+            "    Method that takes the path to crawled file and outputs date dictionary:\n"
+        )
         file.write(
-            "    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)\n")
+            "    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)\n"
+        )
         file.write(
-            "    and value is dictionary where keys are devices (specified in configuration file)\n")
+            "    and value is dictionary where keys are devices (specified in configuration file)\n"
+        )
         file.write(
-            "    and value is CSVDataLine.csv_data_line with device,date and occurrence\n")
+            "    and value is CSVDataLine.csv_data_line with device,date and occurrence\n"
+        )
         file.write("\n")
         file.write("    Args:\n")
-        file.write("    filename: name of processed file\n")
+        file.write("    filename: name of the processed file\n")
         file.write("\n")
         file.write("    Returns:\n")
         file.write("    None if not implemented\n")
         file.write("    date_dict when implemented\n")
         file.write("    \"\"\"\n")
-        file.write("    date_dict = dict()\n")
+        file.write("    date_dict: DateDict = {}\n")
         file.write("\n")
         file.write("    #with open(filename, \"r\") as file:\n")
         file.write(
-            "    print(\"You must implements process_file method first!\")\n")
-        file.write("    return None\n")
+            "    print(\"You must implement the process_file method first!\")\n"
+        )
+        file.write("    return date_dict\n")
 
 
-def create_default_crawler(dataset_name):
+def create_default_crawler(dataset_name: str) -> None:
     """
     Creates default crawler for dataset
 
@@ -87,19 +101,23 @@ def create_default_crawler(dataset_name):
         dataset_name: Name of newly created dataset
     """
 
-    with open(CRAWLER_PROGRAM_PATH + "/" + dataset_name + "_crawler.py", "w") as file:
+    with open(CRAWLER_PROGRAM_PATH + "/" + dataset_name + "_crawler.py",
+              "w") as file:
+        file.write("from shared_types import ConfigType\n")
         file.write("# Path to crawled data\n")
-        file.write("CRAWLED_DATA_PATH = \"CrawledData/\"\n")
+        file.write(f'CRAWLED_DATA_PATH = "{CRAWLED_DATA_PATH}" \n')
         file.write("\n")
         file.write("\n")
-        file.write("def crawl(config):\n")
+        file.write("def crawl(config: ConfigType):\n")
         file.write("    \"\"\"\n")
         file.write(
-            "    Implement crawl method that downloads new data to path_for_files\n")
+            "    Implementation the crawl method which downloads new data to the path_for_files\n"
+        )
         file.write("    For keeping the project structure\n")
         file.write("    url , regex, and dataset_name from config\n")
         file.write(
-            "    You can use already implemented functions from Utilities/Crawler/BasicCrawlerFunctions.py\n")
+            "    You can use already implemented functions from Utilities/Crawler/BasicCrawlerFunctions.py\n"
+        )
         file.write("\n")
         file.write("    Args:\n")
         file.write("        config: loaded configuration file of dataset\n")
@@ -109,10 +127,11 @@ def create_default_crawler(dataset_name):
         file.write("    regex = config['regex']\n")
         file.write(
             "    path_for_files = CRAWLED_DATA_PATH + dataset_name + '/'\n")
-        file.write("    print(\"You must implements Crawl method first!\")\n")
+        file.write(
+            "    print(\"Není implementován crawler pro získávání dat!\")\n")
 
 
-def prepare_dataset_structure(dataset_name):
+def prepare_dataset_structure(dataset_name: str) -> None:
     """
     Prepares folders for new dataset
     Args:
@@ -120,7 +139,7 @@ def prepare_dataset_structure(dataset_name):
     """
 
     # create folder for crawled data
-    path = CRAWLED_DATA_PATH+dataset_name
+    path = CRAWLED_DATA_PATH + dataset_name
     try:
         os.mkdir(path)
     except os.error as e:
@@ -132,19 +151,23 @@ def prepare_dataset_structure(dataset_name):
     try:
         os.mkdir(path)
     except OSError:
-        print("Creation of the directory %s failed" % path)
+        print("Nelze vytvořit adresář %s" % path)
 
     create_default_crawler(dataset_name)
     create_default_processor(dataset_name)
     create_default_config_file(dataset_name)
 
 
-print("Zadejte jméno nového datasetu:\n")
+def main() -> None:
+    print("Zadejte jméno nového datasetu:\n")
+    dataset_name = input().upper()
+
+    if dataset_name.isalpha():
+        prepare_dataset_structure(dataset_name)
+        print("Architektura vytvořena \n")
+    else:
+        print("Jméno musí obsahovat pouze písmena z abecedy (bez mezer)\n")
 
-dataset_name = input().upper()
 
-if dataset_name.isalpha():
-    prepare_dataset_structure(dataset_name)
-    print("Architektura vytvořena \n")
-else:
-    print("Jméno musí obsahovat pouze písmena z abecedy (bez mezer)\n")
+if __name__ == "__main__":
+    main()
\ No newline at end of file
diff --git a/modules/crawler/python.code-workspace b/modules/crawler/python.code-workspace
index 6e06519..bc5226b 100644
--- a/modules/crawler/python.code-workspace
+++ b/modules/crawler/python.code-workspace
@@ -12,7 +12,6 @@
 		"python.linting.pylintEnabled": true,
 		"python.linting.enabled": true,
 		"python.linting.pylintPath": "pylint",
-		"python.pythonPath": "/usr/local/bin/python",
 		"python.formatting.provider": "yapf",
 	},
 	"extensions": {
diff --git a/modules/crawler/remove_dataset.py b/modules/crawler/remove_dataset.py
index 6268b31..9d419f0 100644
--- a/modules/crawler/remove_dataset.py
+++ b/modules/crawler/remove_dataset.py
@@ -17,7 +17,7 @@ CRAWLER_PROGRAM_PATH = "DatasetCrawler"
 PROCESSOR_PROGRAM_PATH = "DatasetProcessing"
 
 
-def remove_dataset(dataset_name):
+def remove_dataset(dataset_name: str) -> None:
     """
     Remove dataset
     Args:
@@ -36,14 +36,17 @@ def remove_dataset(dataset_name):
 
     print("Dataset " + dataset_name + " odebrán z databáze")
 
-print("Zadejte jméno Datasetu který chcete odstranit:\n")
 
-dataset_name = input().upper()
-test = configure_functions.check_if_there_is_a_config_file(dataset_name)
+def main() -> None:
+    print("Zadejte jméno Datasetu který chcete odstranit:\n")
+    dataset_name = input().upper()
+    test = configure_functions.check_if_there_is_a_config_file(dataset_name)
 
-if test == True:
-    remove_dataset(dataset_name)
-else:
-    print("Tento dataset v architektuře neexistuje")
+    if test == True:
+        remove_dataset(dataset_name)
+    else:
+        print("Tento dataset v architektuře neexistuje")
 
 
+if __name__ == "__main__":
+    main()
\ No newline at end of file
diff --git a/modules/crawler/reset_datasets.py b/modules/crawler/reset_datasets.py
index 4b7fc8a..3c1b4ca 100644
--- a/modules/crawler/reset_datasets.py
+++ b/modules/crawler/reset_datasets.py
@@ -2,7 +2,7 @@ import os
 from Utilities import folder_processor
 from Utilities.Database import database_loader
 from Utilities import configure_functions
- 
+
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 # Path to processed data
@@ -13,7 +13,7 @@ CRAWLER_LOGS_PATH = "CrawlerLogs/"
 CONFIG_FILES_PATH = "DatasetConfigs"
 
 
-def hard_reset_dataset(dataset_name):
+def hard_reset_dataset(dataset_name: str) -> None:
     """
     Resets all saved data in dataset except config and implementation
     Args:
@@ -29,7 +29,7 @@ def hard_reset_dataset(dataset_name):
     database_loader.remove_dataset_database(dataset_name)
 
 
-def soft_reset_dataset(dataset_name):
+def soft_reset_dataset(dataset_name: str) -> None:
     """
     Resets all saved data in dataset except config and implementation
     Args:
@@ -41,8 +41,7 @@ def soft_reset_dataset(dataset_name):
     database_loader.remove_dataset_database(dataset_name)
 
 
-
-def soft_reset_all_datasets():
+def soft_reset_all_datasets() -> None:
     """
     Resets all saved data in all datasets with config file except configs and implementation
     """
@@ -52,7 +51,7 @@ def soft_reset_all_datasets():
         soft_reset_dataset(dataset.split('.')[0])
 
 
-def hard_reset_all_datasets():
+def hard_reset_all_datasets() -> None:
     """
     Resets all saved data in all datasets with config file except configs and implementation
     """
@@ -62,30 +61,37 @@ def hard_reset_all_datasets():
         hard_reset_dataset(dataset.split('.')[0])
 
 
-print("Zadejte jméno Datasetu který chcete resetovat (pokud všechny zadejte '-ALL'):\n")
+def main() -> None:
+    print(
+        "Zadejte jméno Datasetu který chcete resetovat (pokud všechny zadejte '-ALL'):\n"
+    )
 
-dataset_name = input().upper()
+    dataset_name = input().upper()
 
-print("Chcete smazat i stažené stažená data ? (ANO/NE) \n")
+    print("Chcete smazat i stažená data ? (ANO/NE) \n")
 
-input_decision = input().upper()
+    input_decision = input().upper()
 
-if dataset_name == '-ALL':
-    if input_decision == 'ANO':
-        hard_reset_all_datasets()
-    elif input_decision == 'NE':
-        soft_reset_all_datasets()
-    else:
-        print('Neplatný vstup (ANO/NE)')
-else:
-    test = configure_functions.check_if_there_is_a_config_file(dataset_name)
-    if test == True:
+    if dataset_name == '-ALL':
         if input_decision == 'ANO':
-            hard_reset_dataset(dataset_name)
+            hard_reset_all_datasets()
         elif input_decision == 'NE':
-            soft_reset_dataset(dataset_name)
+            soft_reset_all_datasets()
         else:
             print('Neplatný vstup (ANO/NE)')
     else:
-        print("Tento dataset v architektuře neexistuje")
+        test = configure_functions.check_if_there_is_a_config_file(
+            dataset_name)
+        if test == True:
+            if input_decision == 'ANO':
+                hard_reset_dataset(dataset_name)
+            elif input_decision == 'NE':
+                soft_reset_dataset(dataset_name)
+            else:
+                print('Neplatný vstup (ANO/NE)')
+        else:
+            print("Tento dataset v architektuře neexistuje")
+
 
+if __name__ == "__main__":
+    main()
\ No newline at end of file
diff --git a/modules/crawler/shared_types.py b/modules/crawler/shared_types.py
new file mode 100644
index 0000000..e3780d0
--- /dev/null
+++ b/modules/crawler/shared_types.py
@@ -0,0 +1,4 @@
+from typing import Dict, Set
+ConfigType = Dict[str, any]
+StringSetType = Set[str]
+DateDict = Dict[str, any]
\ No newline at end of file
diff --git a/scripts/build.sh b/scripts/build.sh
index ce263ae..4a5eca8 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -4,4 +4,4 @@ docker-compose -f docker-compose.yml -f docker-compose-prod.yml up --build -d
 docker-compose exec -T php-fpm composer install --no-interaction --working-dir=/var/www/symfony --no-dev
 docker-compose exec -T php-fpm /bin/sh -c "cd /var/www/symfony && npm install && npm link webpack && npm run build"
 #python module initiation
-docker-compose exec -T crawler /bin/sh -c "cd /src && python docker_prepare_structure.py && echo '-all' | python force_update_datasets.py"
\ No newline at end of file
+docker-compose exec -T crawler /bin/sh -c "cd /src && python docker_prepare_structure.py && python force_update_datasets.py all"
diff --git a/scripts/dev/build.bat b/scripts/dev/build.bat
index a2533c2..94633ad 100644
--- a/scripts/dev/build.bat
+++ b/scripts/dev/build.bat
@@ -2,5 +2,5 @@ docker-compose -f docker-compose.yml -f docker-compose-dev.yml up --build -d
 docker-compose exec php-fpm composer config extra.symfony.allow-contrib true --no-interaction --working-dir=/var/www/symfony
 docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
 docker-compose exec php-fpm composer update --no-interaction --working-dir=/var/www/symfony
-docker-compose exec php-fpm /bin/sh -c "cd /var/www/symfony && npm install"
-docker-compose exec crawler /bin/sh -c "cd /src && python docker_prepare_structure.py && echo '-all' | python force_update_datasets.py"
\ No newline at end of file
+docker-compose exec php-fpm /bin/sh -c "cd /var/www/symfony && npm install && npm link webpack && npm run build"
+docker-compose exec crawler /bin/sh -c "cd /src && python docker_prepare_structure.py && python force_update_datasets.py all"
